glab(1)

NAME
glab-milestone-delete - Delete a milestone from a project or group.

SYNOPSIS
glab milestone delete [flags]

DESCRIPTION
Delete a milestone, identified by its numeric ID, from a project or group. The milestone is removed; issues, merge requests, and epics that referenced it are no longer associated with it.

By default, the milestone is deleted from the current project. Use --project to target a different project, or --group to delete a group-level milestone. --project and --group are mutually exclusive.

OPTIONS
--group=""
    The ID or URL-encoded path of the group.

--project=""
    The ID or URL-encoded path of the project.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Delete a milestone from the current project
    glab milestone delete 123
    # Delete a milestone from a different project
    glab milestone delete 123 --project owner/project
    # Delete a group milestone
    glab milestone delete 123 --group example-group

SEE ALSO
glab-milestone(1)